jquery-rails or prototype-rails

Added by Eduardo Yáñez Parareda about 7 years ago

Hi, recently I've installed Redmine 2.0.3 in a fresh environment, so anything was installed before, neither ruby or rails.

The beginning of the Gemfile is:

gem 'rails', '3.2.6'
gem 'prototype-rails', '3.2.1'
gem "i18n", "~> 0.6.0"
gem "coderay", "~> 1.0.6"
gem "fastercsv", "~> 1.5.0", :platforms => [:mri_18, :mingw_18, :jruby]
gem "builder"

Is it right?, shouldn't it be jquery-rails instead of prototype-rails? I've notice that some people have jquery-rails installed instead of prototype.
Could it be a problem?

Replies (4)

RE: jquery-rails or prototype-rails - Added by Etienne Massip about 7 years ago

It is right, the switch to jQuery (#11445) is part of 2.1.0 which is planned to be released for the end of September.

RE: jquery-rails or prototype-rails - Added by Eduardo Yáñez Parareda about 7 years ago

So a 2.0.3 installation shouldn't have a jquery-rails installed, shouldn't it?

That should be only happen if it's installed a 2.1.X version, isn't it?

RE: jquery-rails or prototype-rails - Added by Eduardo Yáñez Parareda about 7 years ago

Thank you, I develop SpentTime plugin and someone is having problems installing it... now I've found the guilty!! :D

(1-4/4)